HBRUN(1)

NAME
hbrun - Harbour Project Runner

SYNOPSIS
hbrun <file[.hrb|.prg]> [<parameters,...>]

DESCRIPTION
hbrun is the Harbour Project runner which can execute xBase/Clipper source code in .prg files or compiled Harbour Portable Objects - .hrb files. Type of file is recognized by extension used with <file> parameter. If not given then .hrb is used.

hbrun can be also used to execute .prg files as scripts It's enough to add in the first line of .prg file:

#!/usr/bin/hbrun

and set executable attribute.

OPTIONS
This program has no options. <parameters,...> are passed to startup function in executed code.

AUTHOR
Author of hbrun: The Harbour Project (http://www.harbour-project.org) This manual page was written by Luis Mayoral <mayoral@linuxadicto.org>, for the Debian GNU/Linux system (but may be used by others).